"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var nearley = require("nearley");
var grammar_1 = require("./grammar");
var parser = new nearley.Parser(grammar_1.ParserRules, grammar_1.ParserStart);
var initialParserState = parser.save();
var parseType = function (type) {
    var result = parser.feed(type).results[0];
    if (process.env.NODE_ENV === 'test' && parser.results.length !== 1) {
        throw new Error("Deterministic parse failed: " + JSON.stringify(parser.results));
    }
    if (!parser.results.length)
        throw new Error('Invalid input string');
    parser.restore(initialParserState);
    return result;
};
exports.default = parseType;
//# sourceMappingURL=parse.js.map