"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertNull = function (value) {
    if (value === undefined || value === null)
        return null;
    if (Array.isArray(value))
        return value.map(exports.convertNull);
    if (typeof value === 'object') {
        var res_1 = {};
        Object.keys(value).forEach(function (key) {
            res_1[key] = exports.convertNull(value[key]);
        });
        return res_1;
    }
    return value;
};
exports.isNullable = function (_a) {
    var type = _a.type, data = _a.data;
    switch (type) {
        case 'nullable':
            return true;
        case 'literal':
            return data === null;
        case 'named':
            return exports.isNullable(data.type);
        case 'intersection':
            return exports.isNullable(data.type) && exports.isNullable(data.type2);
        case 'union':
            return exports.isNullable(data.type) || exports.isNullable(data.type2);
    }
    return false;
};
//# sourceMappingURL=utils.js.map